﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Domain;

namespace PhoneBookApp
{
    class Program
    {
        static void Main()
        {
            var contactTypeSkype = new ContactType()
            {
                ContactTypeValue = "Skype"
            };
            var contactTypePhone = new ContactType()
            {
                ContactTypeValue = "Phone"
            };

            var db = new List<Person>()
            {
                new Person()
                {
                    FirstName = "    andres     ",
                    LastName = "Käver",
                    Contacts = new List<Contact>()
                    {
                        new Contact()
                        {
                            ContactValue = "akaver",
                            ContactType = contactTypeSkype
                        },
                        new Contact()
                        {
                            ContactValue = "+372 6543210",
                            ContactType = contactTypePhone
                        },
                    }
                },
                new Person()
                {
                    FirstName = "Mait",
                    LastName = "Poska",
                    Contacts = new List<Contact>()
                    {
                        new Contact()
                        {
                            ContactValue = "minamait",
                            ContactType = contactTypeSkype
                        },
                        new Contact()
                        {
                            ContactValue = "+372 9876543",
                            ContactType = contactTypePhone
                        },
                    },
                },
            };

            Console.WriteLine("Persons in db: " + db.Count);

            foreach (var singlePersonFromDb in db)
            {
                Console.WriteLine(singlePersonFromDb);
                foreach (var singleContactForPerson in singlePersonFromDb.Contacts)
                {
                    Console.WriteLine(
                        "   "
                        + singleContactForPerson.ContactValue
                        + " ("
                        + singleContactForPerson.ContactType.ContactTypeValue
                        + ")"
                      );
                }
            }
        }
    }
}
